#include "partition.h"
#include <bits/stdc++.h>


using namespace std;

const int inf = 1e9;

std::vector<int> solve(std::vector<int> A) {
    int n = A.size();
    long long d_min = inf + 1;
    int msk_ans = -1;
    for(int msk = 0; msk < (1 << n); msk++) {
        long long s_cur = 0;
        for(int i = 0; i < n; i++) {
            if(msk & (1 << i)) {
                s_cur += A[i];
            } else {
                s_cur -= A[i];
            }
        }
        if(s_cur >= 0) {
            if(d_min > s_cur) {
                d_min = s_cur;
                msk_ans = msk;
            }
        }
    }
    vector<int> ans;
    for(int i = 0; i < n; i++) {
        if(msk_ans & (1 << i)) ans.push_back(i);
    }
    for(int i = 0; i < n; i++) {
        if(!(msk_ans & (1 << i))) ans.push_back(i);
    }
    return ans;
}
